#include <bits/stdc++.h>
using namespace std;
double zbir;
double rez, temp;
struct slog {
double cena;
double proc;
} niz[1000000];


int n;

int main () {

cin >> n;

for (int i=1; i<=n; i++) {
    cin >> niz[i].cena >> niz[i].proc;
}


for (int j=1; j<=n; j++) {
    temp=0;
        for (int i=1; i<=n; i++) {
        if (niz[j].proc<=niz[i].proc){
        temp+=niz[i].cena*niz[j].proc/100.0;
        }

     rez=max(rez, temp);
}

}

cout << setprecision(4) << fixed << rez << endl;
return 0;
}